org.kie.internal.runtime.conf

## Class NamedObjectModel

- java.lang.Object
- - org.kie.internal.runtime.conf.ObjectModel
  - - org.kie.internal.runtime.conf.NamedObjectModel

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TransientNamedObjectModel

      public class NamedObjectModel
      extends ObjectModel

  Extension of `ObjectModel` that provides unique name for the object model
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedObjectModel()`
    `NamedObjectModel(String name, String classname, Object... parameters)`
    `NamedObjectModel(String resolver, String name, String classname, Object... parameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getName()`
    `int` | `hashCode()`
    `void` | `setName(String name)`

    - ### Methods inherited from class org.kie.internal.runtime.conf.ObjectModel

      `addParameter, getIdentifier, getParameters, getResolver, setIdentifier, setParameters, setResolver`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NamedObjectModel

          public NamedObjectModel()

    - #### NamedObjectModel

          public NamedObjectModel(String resolver,
                                  String name,
                                  String classname,
                                  Object... parameters)

    - #### NamedObjectModel

          public NamedObjectModel(String name,
                                  String classname,
                                  Object... parameters)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ObjectModel`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `ObjectModel`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.